Class StateBehavior

Declaration :

- C++ : class StateBehavior
- Java : class StateBehavior

Artifact : StateBehavior

Attribute on_entry

Declaration :

- Uml : + on_entry : string
- C++ : public: QCString on_entry
- Java : public String on_entry

Attribute on_exit

Declaration :

- Uml : + on_exit : string
- C++ : public: QCString on_exit
- Java : public String on_exit

Attribute do_activity

Declaration :

- Uml : + do_activity : string
- C++ : public: QCString do_activity
- Java : public String do_activity

Operation read

Declaration :

- Uml : + read() : void
- C++ : public: void read()
- Java : public void read()

Operation unload

Declaration :

- Uml : + unload() : void
- C++ : public: void unload()

All public operations : read , unload